XSetCommand(__libmansuffix__)

NAME
XSetCommand, XGetCommand - set or read a window's WM_COMMAND property

SYNTAX

int XSetCommand(Display *display, Window w, char **argv, int argc);

Status XGetCommand(Display *display, Window w, char ***argv_return, int *argc_return);

ARGUMENTS

argc
    Specifies the number of arguments.

argc_return
    Returns the number of arguments returned.

argv
    Specifies the application's argument list.

argv_return
    Returns the application's argument list.

display
    Specifies the connection to the X server.

w   Specifies the window.

DESCRIPTION
The function sets the command and arguments used to invoke the application. (Typically, argv is the argv array of your main program.) If the strings are not in the Host Portable Character Encoding, the result is implementation-dependent.

can generate and errors.

The function reads the WM_COMMAND property from the specified window and returns a string list. If the WM_COMMAND property exists, it is of type STRING and format 8. If sufficient memory can be allocated to contain the string list, fills in the argv_return and argc_return arguments and returns a nonzero status. Otherwise, or if any other error is encountered, it returns a zero status. If the data returned by the server is in the Latin Portable Character Encoding, then the returned strings are in the Host Portable Character Encoding. Otherwise, the result is implementation-dependent. To free the memory allocated to the string list, use

PROPERTIES

WM_COMMAND
    The command and arguments, null-separated, used to invoke the application.

DIAGNOSTICS

The server failed to allocate the requested resource or server memory.

A value for a Window argument does not name a defined Window.

SEE ALSO
XAllocClassHint(__libmansuffix__), XAllocIconSize(__libmansuffix__), XAllocSizeHints(__libmansuffix__), XAllocWMHints(__libmansuffix__), XSetTransientForHint(__libmansuffix__), XSetTextProperty(__libmansuffix__), XSetWMClientMachine(__libmansuffix__), XSetWMColormapWindows(__libmansuffix__), XSetWMIconName(__libmansuffix__), XSetWMName(__libmansuffix__), XSetWMProperties(__libmansuffix__), XSetWMProtocols(__libmansuffix__), XStringListToTextProperty(__libmansuffix__)
Xlib - C Language X Interface